TagType (RabbIT/4)
Date: 2009-12-20

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.html
Class TagType

    java.lang.Object
      rabbit.html.TagType

    public class TagType

extends Object

This is a class that holds common tagtypes.

Author:
  Robert Olofsson

Field Summary
`static TagType` | `A`
`static TagType` | `APPLET`
`static TagType` | `B`
`static TagType` | `BLINK`
`static TagType` | `BODY`
`static TagType` | `BR`
`static TagType` | `DIV`
`static TagType` | `DOCTYPE`
`static TagType` | `FONT`
`static TagType` | `FORM`
`static TagType` | `FRAMESET`
`static TagType` | `HEAD`
`static TagType` | `HTML`
`static TagType` | `IMG`
`static TagType` | `INPUT`
`static TagType` | `LAYER`
`static TagType` | `LI`
`static TagType` | `META`
`static TagType` | `OBJECT`
`static TagType` | `P`
`static TagType` | `SA`
`static TagType` | `SAPPLET`
`static TagType` | `SB`
`static TagType` | `SBLINK`
`static TagType` | `SBODY`
`static TagType` | `SCRIPT`
`static TagType` | `SDIV`
`static TagType` | `SFONT`
`static TagType` | `SFORM`
`static TagType` | `SFRAMESET`
`static TagType` | `SHEAD`
`static TagType` | `SHTML`
`static TagType` | `SIMG`
`static TagType` | `SLAYER`
`static TagType` | `SLI`
`static TagType` | `SMETA`
`static TagType` | `SOBJECT`
`static TagType` | `SP`
`static TagType` | `SPAN`
`static TagType` | `SSCRIPT`
`static TagType` | `SSPAN`
`static TagType` | `SSTYLE`
`static TagType` | `STABLE`
`static TagType` | `STD`
`static TagType` | `STITLE`
`static TagType` | `STR`
`static TagType` | `STT`
`static TagType` | `STYLE`
`static TagType` | `TABLE`
`static TagType` | `TD`
`static TagType` | `TITLE`
`static TagType` | `TR`
`static TagType` | `TT`

Method Summary
`static TagType` | `getTagType(String type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### A

    public static final TagType A

### SA

    public static final TagType SA

### APPLET

    public static final TagType APPLET

### SAPPLET

    public static final TagType SAPPLET

### IMG

    public static final TagType IMG

### SIMG

    public static final TagType SIMG

### LAYER

    public static final TagType LAYER

### SLAYER

    public static final TagType SLAYER

### OBJECT

    public static final TagType OBJECT

### SOBJECT

    public static final TagType SOBJECT

### SCRIPT

    public static final TagType SCRIPT

### SSCRIPT

    public static final TagType SSCRIPT

### STYLE

    public static final TagType STYLE

### SSTYLE

    public static final TagType SSTYLE

### BODY

    public static final TagType BODY

### SBODY

    public static final TagType SBODY

### TABLE

    public static final TagType TABLE

### STABLE

    public static final TagType STABLE

### TR

    public static final TagType TR

### STR

    public static final TagType STR

### TD

    public static final TagType TD

### STD

    public static final TagType STD

### BLINK

    public static final TagType BLINK

### SBLINK

    public static final TagType SBLINK

### DOCTYPE

    public static final TagType DOCTYPE

### HTML

    public static final TagType HTML

### SHTML

    public static final TagType SHTML

### HEAD

    public static final TagType HEAD

### SHEAD

    public static final TagType SHEAD

### BR

    public static final TagType BR

### FONT

    public static final TagType FONT

### SFONT

    public static final TagType SFONT

### LI

    public static final TagType LI

### SLI

    public static final TagType SLI

### B

    public static final TagType B

### SB

    public static final TagType SB

### P

    public static final TagType P

### SP

    public static final TagType SP

### TT

    public static final TagType TT

### STT

    public static final TagType STT

### SPAN

    public static final TagType SPAN

### SSPAN

    public static final TagType SSPAN

### DIV

    public static final TagType DIV

### SDIV

    public static final TagType SDIV

### FORM

    public static final TagType FORM

### SFORM

    public static final TagType SFORM

### INPUT

    public static final TagType INPUT

### META

    public static final TagType META

### SMETA

    public static final TagType SMETA

### TITLE

    public static final TagType TITLE

### STITLE

    public static final TagType STITLE

### FRAMESET

    public static final TagType FRAMESET

### SFRAMESET

    public static final TagType SFRAMESET

Method Detail

### getTagType

    public static TagType getTagType(String type)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD